View Issue Details

IDProjectCategoryView StatusLast Update
0000028OpenFOAM[All Projects] Bugpublic2010-09-13 17:37
ReporteralbertopAssigned Touser21 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSOpenSuseOS Version11.3
Product Version 
Fixed in Version 
Summary0000028: Inconsistency in twoPhaseEulerFoam nuEffa
DescriptionAfter the improvements to twoPhaseEulerFoam

commit b71c9ffcba91fa57f201273693b4d47c56cf0ecd
Date: Fri Sep 3 19:12:58 2010 +0100
ENH: Improvments to twoPhasesEulerFoam and kinetic theory

there is an inconsistency in UEqn.H for phase a. The effective viscosity nuEffa used in Rca initialization is inconsistent with the one used in phiRa, since it is updated in the if statement.

A patch is attached which moves the initialization of Rca after the if statement.

Best,
Alberto
TagsModelling, Solver

Activities

albertop

2010-09-06 21:56

reporter  

UEqns.H.patch (742 bytes)
*** UEqns.H	2010-09-05 21:22:27.175381992 -0500
--- UEqnsPatched.H	2010-09-06 15:53:47.426940167 -0500
***************
*** 4,14 ****
  {
      {
          volTensorField gradUaT = fvc::grad(Ua)().T();
-         volTensorField Rca
-         (
-             "Rca",
-             ((2.0/3.0)*I)*(sqr(Ct)*k + nuEffa*tr(gradUaT)) - nuEffa*gradUaT
-         );
  
          if (kineticTheory.on())
          {
--- 4,9 ----
***************
*** 19,24 ****
--- 14,25 ----
          {
              nuEffa = sqr(Ct)*nutb + nua;
          }
+         
+         volTensorField Rca
+         (
+             "Rca",
+             ((2.0/3.0)*I)*(sqr(Ct)*k + nuEffa*tr(gradUaT)) - nuEffa*gradUaT
+         );
  
          if (kineticTheory.on())
          {
UEqns.H.patch (742 bytes)

user21

2010-09-07 09:44

  ~0000025

Last edited: 2010-09-07 10:01

View 2 revisions

The initialization has been placed in the correct place

1.7.x commit 2db9810e9b17b950b9f36fdda68da20ec9514af1

Issue History

Date Modified Username Field Change
2010-09-06 21:56 albertop New Issue
2010-09-06 21:56 albertop File Added: UEqns.H.patch
2010-09-07 09:23 user2 Assigned To => user21
2010-09-07 09:23 user2 Status new => assigned
2010-09-07 09:40 user21 Assigned To user21 =>
2010-09-07 09:44 user21 Note Added: 0000025
2010-09-07 09:44 user21 Status assigned => resolved
2010-09-07 09:44 user21 Fixed in Version => 1.7.x
2010-09-07 09:44 user21 Resolution open => fixed
2010-09-07 09:44 user21 Assigned To => user21
2010-09-07 10:01 user2 Note Edited: 0000025 View Revisions
2010-09-13 17:37 user2 Tag Attached: Modelling
2010-09-13 17:37 user2 Tag Attached: Solver